1. We have added a Gift Upgrades feature that allows you to gift an account upgrade to another member, just in time for the holiday season. You can see the gift option when going to the Account Upgrades screen, or on any user profile screen.
    Dismiss Notice

Patch 3.19 available

Discussion in 'Civ4 - Macintosh' started by ASH31, Aug 25, 2009.

  1. robjess

    robjess Chieftain

    Joined:
    Mar 18, 2006
    Messages:
    11
    Thanks for your reply AlanH - ok so its not a problem with me or my machine.. so thats fine.. if there is nothing I can do then I will continue to do it manually.. although I would have expected that this functionality would have worked "out of the box".
     
  2. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,328
    Gender:
    Male
    Location:
    England
    If you open /Applications/Utilities/Applescript Editor and select File->Open Dictionary... you will see a list of your applications that support Apple Events, and therefore AppleScripting. The Civ4 games are notable for their absence. IMHO, minimal Apple Events support, at least for the 'Standard' events, should be considered a minimum for any decent Mac application.
     
  3. DoctorDon

    DoctorDon Chieftain

    Joined:
    Aug 12, 2009
    Messages:
    16
    Location:
    west of DC
    In another PBEM game (Dominions 3), I (and others) have used Automator actions to send out game files. Apple's Automator is a lightweight alternative to using Apple Script that is programmed by choosing and connecting pre-defined components. Again, Civ IV is not supported directly, but you can, for example,write an action that retrieves a PBEM file and attaches it to a pre-addressed email message.
     
  4. Kopernikus1979

    Kopernikus1979 Warlord

    Joined:
    Feb 4, 2004
    Messages:
    105
    Location:
    Germany
    SO is it now possible to play with a PC and a Mac in a LAN game?
     
  5. Brad Oliver

    Brad Oliver Civ3/4 Mac programmer

    Joined:
    Jan 9, 2002
    Messages:
    843
    Location:
    Glendale, AZ
    Yes, provided the PC is running BtS 3.19. Warlords and vanilla have, of course, been fine for some time. :)
     
  6. dogdoo

    dogdoo Chieftain

    Joined:
    Feb 25, 2010
    Messages:
    9
    Location:
    Chicago, Illinois
    i went to the aspyr support website and it asked for an e-mail and password yet gave no indication that it was possible to sign up for an account:confused:
     
  7. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,328
    Gender:
    Male
    Location:
    England
    They've been upgrading their support site for the last few days. It looks as if the new one is broken. It won't accept my password, and won't reset it.

    If you need the patch, try AtomicGamer.
     
  8. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,328
    Gender:
    Male
    Location:
    England
    [UPDATE] The Aspyr Support website is now working again for me.
     
  9. dogdoo

    dogdoo Chieftain

    Joined:
    Feb 25, 2010
    Messages:
    9
    Location:
    Chicago, Illinois
    yeah i downloaded it, id been procrastinating for a while then once i decided to get it the site was totally screwed up. thanks though
     
  10. ThehouseTremble

    ThehouseTremble Chieftain

    Joined:
    Jun 4, 2010
    Messages:
    2
    Hi all,

    having a problem i think anyone here could probably walk me through if they would be super-kind enough to do so.

    I got BTS and tried to go online for the first time last night. It said i had to download patch 3 19, which i did. I restarted and checked in the patch folder and the file was there but it keeps saying i have to download it and won't let me do anything else.
    I am so computer ignorant that i don't even know if i have to do anything with the patch, such as move it to another folder or install it or what...

    If anyone has a helpful word on this i would really appreciate it-

    Seth
     
  11. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,328
    Gender:
    Male
    Location:
    England
    Hi, welcome :wavey:

    I assume you are running the Macintosh version of BtS. As is stated elsewhere in this forum, you can't use the in-game upgrade option to patch the Mac version. It downloads the Windows updater which is useless for you.

    Instead, you have to download the Mac updater from Aspyr. It's at this link. Download it and it will open as a disk image on your Mac. Copy the updater to your desktop from the disk image, then double click it and follow the instructions to patch your copy of BtS.

    Come back here if you need more information.
     
  12. ThehouseTremble

    ThehouseTremble Chieftain

    Joined:
    Jun 4, 2010
    Messages:
    2
    thanks i bet that'll do the trick. Much appreciated
     
  13. civ_king

    civ_king Deus Caritas Est

    Joined:
    Mar 9, 2006
    Messages:
    16,368
    Ah, CFC's Genius Bar at it again ;)
     
  14. Mark T. Kikero

    Mark T. Kikero Chieftain

    Joined:
    Jan 9, 2008
    Messages:
    6
  15. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,328
    Gender:
    Male
    Location:
    England
    Please don't apply the v3.19 patch to any copy you have bought online.

    Your online purchased copy should already be up to the latest patch version. And if you run the patch installer you will just change your software into the disk version, which requires a DVD to start.
     
  16. Gilgalad

    Gilgalad Chieftain

    Joined:
    Aug 23, 2011
    Messages:
    18
    I have BTS as part of the CivIV complete package. That version does NOT require me to load the DVD to play, which is great. However, it is only version 3.1.7 and when I tried to upgrade via the APSYR site the new version won't load without the DVD and what's worse, won't recognize the CIVIV complete dvd!

    I am now re-intalling 3.1.7

    Bummer, way to go ASPYR.
     
  17. s.bernbaum

    s.bernbaum Mostly lurking

    Joined:
    Dec 2, 2006
    Messages:
    2,780
    Location:
    The wilds of Montana
    The Aspyr upgrade software is buggy. They forgot to reset it to do the Mac upgrade. It is still trying to use the Windows upgrade, so it doesn't work. You need to download the 3.19 update from the Mac Forum here. It is in a sticky, along with directions at the top of the forum topic list. I seem to recall someone else has had this problem with the complete package, so it may well be discussed in the sticky.
     
  18. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,328
    Gender:
    Male
    Location:
    England
    Good point, but I believe Gilgalad says he is already using the Aspyr patch.

    I must say I am surprised to see that the Complete DVD includes version 3.17. I would have thought it had v3.19.
     
  19. FNP

    FNP Chieftain

    Joined:
    Nov 2, 2009
    Messages:
    70
    Location:
    ashore
    Just bought ASPYR civ 4 and BTS [BTS is version 3.17 on disk]. Upgraded to 3.19 with ASPYR patch. Very smooth upgrade works fine. OS 10.6.8 , 24" imac, intel core 2 duo, 4GB ram.
     
  20. beetle

    beetle Deity

    Joined:
    Mar 19, 2004
    Messages:
    5,945
    Location:
    Frederick, MD

Share This Page